Bug 1478284 - failure when extracting debuginfos
failure when extracting debuginfos
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: COPASI (Show other bugs)
26
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2017-08-04 04:13 EDT by Dan Horák
Modified: 2017-08-20 19:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: COPASI-4.20.158-3.fc26 COPASI-4.20.158-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-20 14:25:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2017-08-04 04:13:44 EDT
Latest builds of COPASI fail on F-25 and F26 on s390x with an error during debuginfo extraction

...

+ mkdir -p /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/share/appdata
+ install -pm 644 /builddir/build/SOURCES/COPASI.appdata.xml /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/share/appdata/
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 50000000 /builddir/build/BUILD/COPASI-Build-158
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/lib/mono/copasicsP/libcopasics.so
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/lib64/python2.7/site-packages/copasi/_COPASI.so
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/lib64/perl5/vendor_perl/auto/COPASI/COPASI.so
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/lib64/python3.6/site-packages/copasi/_COPASI.so
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/lib64/R/library/COPASI/libs/COPASI.so
extracting debug info from /builddir/build/BUILDROOT/COPASI-4.20.158-2.fc26.s390x/usr/bin/CopasiUI
/usr/lib/rpm/debugedit: canonicalization unexpectedly shrank by one character
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.MOJtS1 (%install)
    Bad exit status from /var/tmp/rpm-tmp.MOJtS1 (%install)
...

The build tasks are
https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2593480
https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2593392

Version-Release number of selected component (if applicable):
COPASI-4.20.158-2.fc26
COPASI-4.20.158-2.fc25

How reproducible:
100%
Comment 1 Dan Horák 2017-08-04 04:15:41 EDT
Adding Mark to CC for his opinion as he did some work on the debugedit tool.
Comment 2 Dan Horák 2017-08-04 04:28:50 EDT
rpm versions in the builds are

rpm-4.13.0.1-5.fc26.s390x
rpm-4.13.0.1-1.fc25.s390x
Comment 3 Antonio Trande 2017-08-04 05:24:04 EDT
It's an old issue on COPASI; i disabled the creation of debuginfo files until latest rebuild on f27 (https://koji.fedoraproject.org/koji/buildinfo?buildID=942522) where they are correctly created.
Comment 4 Mark Wielaard 2017-08-04 05:28:10 EDT
> /usr/lib/rpm/debugedit: canonicalization unexpectedly shrank by one character

This is something I reworked in rpm for f27. And it seems that did fix it when building COPASI-4.20.158-2.fc27.src.rpm, s390x:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20943753

Unfortunately this was a complete rewrite of that code. So it isn't easy to pick out a fix for backporting in rpm. Simplest workaround for s390x on < f27 would be to just disable debuginfo generation with $undefine _enable_debug_packages
Comment 5 Fedora Update System 2017-08-08 12:42:23 EDT
COPASI-4.20.158-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ccd9d5995
Comment 6 Fedora Update System 2017-08-11 21:27:44 EDT
COPASI-4.20.158-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ccd9d5995
Comment 7 Fedora Update System 2017-08-13 00:03:06 EDT
COPASI-4.20.158-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f86e402335
Comment 8 Fedora Update System 2017-08-20 14:25:31 EDT
COPASI-4.20.158-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-08-20 19:51:39 EDT
COPASI-4.20.158-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.